# PASNCounter Class Reference

A descendant of PASNObject which is an unsigned ASN counter type. More...

`#include <pasn.h>`

Inheritance diagram for PASNCounter:

List of all members.

## Public Member Functions

| PASNCounter (PASNUnsigned val)
| PASNCounter (const PBYTEArray &buffer, PINDEX &ptr)
void | Encode (PBYTEArray &buffer)
| Virtual function used to encode the object into ASN format.
PObject * | Clone () const
| Virtual function used to duplicate objects.
PASNObject::ASNType | GetType () const
| Return a value of type enum ASNType which indicates the type of the object.
PString | GetTypeAsString () const
| Return a string giving the type of the object.

## Detailed Description

A descendant of PASNObject which is an unsigned ASN counter type.

## Constructor & Destructor Documentation

PASNCounter::PASNCounter | ( | PASNUnsigned | val | ) | `[inline]`

PASNCounter::PASNCounter | ( | const PBYTEArray & | buffer,
|  | PINDEX & | ptr |
| ) |  |  | `[inline]`

## Member Function Documentation

PObject* PASNCounter::Clone | ( |  | ) | const`[inline, virtual]`

Virtual function used to duplicate objects.

Reimplemented from PASNObject.

void PASNCounter::Encode | ( | PBYTEArray & | buffer | ) | `[inline, virtual]`

Virtual function used to encode the object into ASN format.

Reimplemented from PASNObject.

PASNObject::ASNType PASNCounter::GetType | ( |  | ) | const`[inline, virtual]`

Return a value of type enum ASNType which indicates the type of the object.

Reimplemented from PASNObject.

PString PASNCounter::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Reimplemented from PASNObject.

The documentation for this class was generated from the following file:

- pasn.h